Soporte » Plugins y Hacks » WooCommerce » Parse error

  • Hola,
    me aparecen estos errores en la web relacionados con el plugin woocommerce, lo tengo actualizado a la última versión y el único cambio que he hecho es desactivar el envío de mensaje al cliente una vez completado el pedido, ¿saben a qué puede deberse? Gracias.
    ————-

    PHP Parse error: syntax error, unexpected ''rest_' (T_ENCAPSED_AND_WHITESPACE) in /home2/siberoci/public_html/siberocio.com/wp-content/plugins/woocommerce/packages/woocommerce-admin/src/API/Reports/Customers/Stats/Controller.php on line 224
    [19-Jul-2021 14:26:48 UTC] PHP Parse error: syntax error, unexpected end of file, expecting function (T_FUNCTION) or const (T_CONST) in /home2/siberoci/public_html/siberocio.com/wp-content/plugins/woocommerce/includes/admin/settings/class-wc-settings-emails.php on line 250
    [19-Jul-2021 14:26:48 UTC] PHP Parse error: syntax error, unexpected end of file, expecting function (T_FUNCTION) or const (T_CONST) in /home2/siberoci/public_html/siberocio.com/wp-content/plugins/woocommerce/includes/admin/settings/class-wc-settings-emails.php on line 250
    • Este debate fue modificado hace 2 meses, 3 semanas por Jose Luis. Razón: etiquetar código

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 1 respuesta (de un total de 1)
  • Hola @lauratriv,

    He mirado por internet los 3 errores que has pasado y he encontrado lo siguiente:

    1) El primer error parece un problema de comillas en el código del archivo: /wp-content/plugins/woocommerce/packages/woocommerce-admin/src/API/Reports/Customers/Stats/Controller.php on line 224

    Mira aquí: https://es.stackoverflow.com/questions/287808/php-parse-error-syntax-error-unexpected-t-encapsed-and-whitespace-expect

    2) Los segundo y tercer errorres parece que son porque esos archivos no están bien terminados. Mira aquí:
    https://es.stackoverflow.com/questions/144202/php-parse-error-syntax-error-unexpected-end-of-file

    Tener esos errores tendría sentido si hubieses modificado los archivos del plugin de WooCommerce, pero por tu mensaje creo que lo único que has hecho es actualizar a la última versión y que no has modificado el código de ningún archivo, verdad?

    Si ese es el caso, me hace pensar, que la actualización del plugin de WooCommerce no fue bien y que al descargarse los archivos de la última versión la conexión se haya caído alguna vez y algunos archivos no estén completos, de ahí el error.

    Mi consejo sería que volvieras a actualizar a la última versión, y si al hacerlo, ya no ves más errores, pues eso era!

    Espero que esto te ayude 🙂

    Ya nos cuentas!

Viendo 1 respuesta (de un total de 1)
  • Debes estar registrado para responder a este debate.